<?php 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$cliente=strtoupper($sessao->getVar('cliente'));
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
$visualizacao[0]='STATUS DESTA AMOSTRA(Módulo em fase de testes)';
$objetocalculo = new calculos(); //calcula todos valores finais
$letraIdentificadora=$sessao->getVar('controle');
if($letraIdentificadora=='E'):
   $enquadramentoLegenda='Outras  especies cultivadas';
   $codigo="OESP";
endif;    
if($letraIdentificadora=='S'):
   $enquadramentoLegenda='Silvestres';
   $codigo="SILV";
endif;      
if($letraIdentificadora=='T'):
   $enquadramentoLegenda='Toleradas';
$codigo="NOCT";
endif;       
if($letraIdentificadora=='P'):
   $enquadramentoLegenda='Proibidas';
   $codigo="NOCP";
endif;   

//pesquisa os testes e retestes desta amostra//////////////////////
 

/////////////////fim da pesquisa de retestes////////////////////

$visualizacao[$contador]='Documentos:';
$contador++;
$visualizacao[$contador]='Fou pago [SIM] Valor:';

$limite=sizeof($visualizacao);




		//vai inserir contaminante  
		if (isset($_POST['Gravar'])):
             //echo("xxxxxxxxxxxxxesta no gravar<br>");
	         $quantia=$_POST["quantia"];
			 //unset($_POST);
	         $contaminante=$_POST["contaminante"];
	         list($nomeCientifico, $codigokk, $limite) = explode("*", $contaminante);
	         //echo("quantia= $quantia nomeCientifico=$nomeCientifico<br>");
            //acha o id do contaminante
		 	//ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();
			$generica->tabela="contaminantes";
			$generica->campos_valores = array(
					"con_id" => NULL,
				);
			$generica->extras_select =" where con_nome_cientifico='".$nomeCientifico."'";
		    $generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
			    $idContaminante=$resgenerica->con_id;
		    endwhile;
			 //aqui fazer a rotina de inclusao e exclusao
			 if($quantia!="" && $contaminante!="")
			 {
		         //se digitou 0 vai dar um comando para deletar
			     if($quantia=="0" )
				 {
				    $sqld="delete from invasoras where inv_cod_praga=" .$idContaminante." && inv_amostra=".$amostraLong;
				    $generica=new tabelagenerica();//chama a rotina generica de execução de sql insertt delete update
			        $generica->grava_registro_com_retorno($sqld);
		     	 }
		         //se digitou >0 vai incluir
			     if($quantia>0 ):
                       //aqui prepara para gravar 						
					   // echo("transferencia=$amostraLong.$nomeCientifico.$quantia.$codigo<br>");
					   //aqui faz um ajuste para que estes 4 identificadores fiquem na ordem(OESP,SILV,NOCT,NOCP) para viabiliazar a impressao do boletim em ordem das codigos 10,11,12,13
					   if($codigo=="OESP") $codigo="1OES";
					   if($codigo=="SILV") $codigo="2SIL";
					   if($codigo=="NOCT") $codigo="3NOT";
					   if($codigo=="NOCP") $codigo="4NOP";
					   if($codigo=="QUAR") $codigo="5QUA";
					   $sqli="insert into invasoras(inv_amostra,inv_cod_praga,inv_qtd,inv_codigo) values('$amostraLong','$idContaminante','$quantia','$codigo')";
					   //$resultado=mysql_query($sqli);//nao apagar isso poi ele executa desta maneira tambem
					   //echo("contaminante caçado na gravacao = $idContaminante sql= $sqli<br>");
				       $generica=new tabelagenerica();//chama a rotina generica de execução de sql insertt delete update
			           $generica->grava_registro_com_retorno($sqli);
					   //grava ocorrencia
					   $finalidade="DOSN"." Tipo=".substr($codigo,1,3)." Qtd=".$quantia;
                       $valor=	substr($contaminante,0,10);				   
					   $objetocalculo->registroDeOcorrencias($amostraLong,0,$nomeOperador,$finalidade,$valor,$idLabo);
					   printMSG('Gravou Ok. Gravou também uma ocorrência.' ,'alerta');	

				 endif;
			 }
		endif;//comando gravar






				if (isset($_POST['bt_fechar'])):
           		  print("<SCRIPT LANGUAGE='JavaScript'>
                  window.close('telaOESP.php','','width=500,height=500,left=700,top=200');
		          </script>");
                endif;

				
//$vetorContaminantesConcatenado[1]="pau";
//$vetorContaminantesConcatenado[2]="pedra";
//cria o vetor para aquela especie
	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"fic_amostra_previa" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
				"fic_categoria" => NULL,
				"esp_grupo2011" => NULL,
				"fic_finalizada_nocivas" => NULL,

			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):

            if($finalidade=='PREVIA'):
 			    $vetorFicha[1]=$resgenerica->fic_amostra_previa;
			else:
 			    $vetorFicha[1]=$resgenerica->fic_amostra;
			endif;  
			$finalizada=$resgenerica->fic_finalizada_nocivas;
			$vetorFicha[0]=$resgenerica->fic_lote;
			$vetorFicha[2]=$resgenerica->esp_nome;
			$vetorFicha[3]=$resgenerica->fic_categoria;
			$vetorFicha[4]=$resgenerica->esp_grupo2011;
			$vetorFicha[5]=$resgenerica->esp_id;
			$grupo2011=$resgenerica->esp_grupo2011;
	    endwhile;
		
		
		
  	    //echo("eeeeeeeeeeeeeeeeespecie= $vetorFicha[2]<br>"); 
		  
     //enche vetor contaminantes
	 //aqui em vez destes if para cada categoria coloca um lowcase e soma com lim
	 $campoLimite="lim_s2";        //aqui vai o valor deful. se ele usar semente propria ou o descambau ele pega da s1 s[e fini
	 if($vetorFicha[3]=="C1") $campoLimite="lim_c1";
	 if($vetorFicha[3]=="C2") $campoLimite="lim_c2";
	 if($vetorFicha[3]=="S1") $campoLimite="lim_s1";
	 if($vetorFicha[3]=="S2") $campoLimite="lim_s2";
	 if($vetorFicha[3]=="GENETICA") $campoLimite="lim_genetica";
	 if($vetorFicha[3]=="IMPORTADA") $campoLimite="lim_importada";
	 if($vetorFicha[3]=="BASICA") $campoLimite="lim_basica";
	 //define o codigo da cultura
	 $codigoCultura=$vetorFicha[5];//se nao pertencer a um grupo entao pega o id da cultura
     //$grupo2011=$vetorFicha[4]; //pega o grupo pode ser grupo indefinido dai fica codigo da cultura = id da cultura
	 //acha o id do grupo
	 //$codigoCultura=$vetorFicha[4];
     $codigoCulturaPescado=$objetocalculo->capturaIDGrupo($grupo2011);
	 $codigoCultura=$codigoCulturaPescado;


	 	 //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela=" contaminantes,limites";
		$generica->campos_valores = array(
				"con_nome_cientifico" => NULL,
				 $campoLimite => NULL,
			);
		//$generica->extras_select =" where lim_cod_contaminante=con_id and lim_cod_cultura=". $codigoCultura." order by con_nome_cientifico";
		$generica->extras_select =" where lim_cod_contaminante=con_id and lim_cod_cultura=". $codigoCultura." order by con_nome_cientifico";
		//$resgenerica->$campoLimite
		
		
		
		//echo("tttttttttttttttttextra select=$generica->extras_select<br>");
	    $generica->selecionaCampos($generica);
		$contador=0;
		//$letraIdentificadora="E";
		while ($resgenerica = $generica->retornaDados()):
		  $enquadramentoTabela=$resgenerica->$campoLimite;
		  $letraInicial=substr($enquadramentoTabela,0,1);
         // echo("xxxxxxxxxxenquadramento= $enquadramentoTabela letra=$letraInicial<br>");
          if($letraInicial=="P")  $enquadramento="NOCP";	 //vem assim -P- 
		  
		  
		  
          if($letraInicial==$letraIdentificadora):
		    $enquadramento=$letraIdentificadora;	 //vem assim -S-
   		    $limitex=substr($enquadramentoTabela,1);
		    $vetorContaminantesConcatenado[$contador]=$resgenerica->con_nome_cientifico;//joga dentro do ARRAY os elementos da tabela
		    $contador++;			
		  endif;

		    /*
		  //no caso de toleradas vai trazer o limite associado
          if($letraInicial=="T")
          {
    		  $limitex=substr($enquadramentoTabela,1);
     		  $enquadramento="NOCT*(L=".$limitex.")";	 //estava tentando colocar o limite do lado direito mas ai precisaria 
     		  //$enquadramento="NOCT";	 //vem T10 
		  }
        no caso de Outra Especie Cultivada, vai trazer o limite associado
          if($letraInicial=="E")
          {
    		  $limitex=substr($enquadramentoTabela,1);
     		  $enquadramento="OESP*(L=".$limitex.")";	 //estava tentando colocar o limite do lado direito mas ai precisaria 
     		  //$enquadramento="NOCT";	 //vem T10 
		  $vetorContaminantesConcatenado[$contador]=$resgenerica->con_nome_cientifico."*". $enquadramento.$resgenerica->$campoLimite;//joga dentro do ARRAY os elementos da tabela
		  $contador++;

		  }
*/
          if($letraInicial=="Q")  $enquadramento="QUAR";//NAO USAR PQUA POIS PROIBIDA COMECA COM P TAMBEM	  
          //if(substr($enquadramentoTabela,0,1)=="E")  $enquadramento="OESP";	// vem E12   

	    endwhile;
		//echo("cccccccccccccccccccccccccccccccontador = $contador<br>");





?>

<script type="text/javascript"> 
function closeIframe() 
{ 
   parent.document.getElementById("userform").style.display="none" 
} 
</script> 
<!--<center><img src="imagemficha2017_verso.JPG" height="600"  width="800" border="0" alt="xxxxxxxx">-->
<html>
<!--
<body bgcolor="#f31032">   fica vermelho-->
<!--<body background="imagemficha2017_verso.JPG"    > -->  <!--funfa-->
<body class="painel"> 


<form class="userform" method="post" action="">
<div id="wrapper">

	
<table>

<tr>
<td>
Lista de contaminantes <?php echo $enquadramentoLegenda;?>:
<select name="contaminante" multiple  size="20" onchange="ClikButton(11)">  
<?php
foreach($vetorContaminantesConcatenado aS $vlr)
{
  ?>
  <option><?php echo($vlr)?></option>
  <?php
}
?>
</select>
</td>

<td>
 <input type="hidden" name="tipo" value="INICIADO"  size="3" />
 <input type="hidden" name="idAmostra" value="<?php echo($amostraLong)?>" size=5 />
 Qtd<input type="text" name="quantia" value=""  size="3" />
<input type="submit"name="Gravar" <?php echo $desabilita; ?> value="Gravar"  /></td>

<td bgcolor="silver">
<?php
if($finalizada=="s"):
?>
	<input type="submit" name="reabre" value="Reabre" />
<?php	
else:
?>
	<input type="submit" name="fechar" value="Bloquear" />Sim
	<input type="checkbox"   name="cb_fechar" />
<?php	
endif;
?>  			
<input type="hidden" name="finalizada" value="<?php echo($finalizada)?>" size=1 />


</td>




  </tr>
  
 <tr>
	<td>
	<label3>Amostra:</label3>
	<input type="submit" name="bt_fechar" value="Fechar" />
</td>

	
	
	</td>
 </tr>
</table> 
	
	
	
		
</div>   		
        
</form>
</body>



</html>
